Create multiple exchange rates
curl --request POST \
--url https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"conversionRate": 123,
"effectiveAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/batch/create"
payload = { "inputs": [
{
"conversionRate": 123,
"effectiveAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{conversionRate: 123, effectiveAt: '2023-11-07T05:31:56Z'}]})
};
fetch('https://api.hubapi.com/settings/currencies/2026-03/exchange-rates/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"conversionRate": 123,
"createdAt": "2023-11-07T05:31:56Z",
"effectiveAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"visibleInUI": true
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Batch
Create multiple exchange rates
Create multiple exchange rates in a single request.
POST
/
settings
/
currencies
/
2026-03
/
exchange-rates
/
batch
/
create
Create multiple exchange rates
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Show child attributes
Show child attributes
Response
successful operation
The datetime the response was completed
Show child attributes
Show child attributes
The datetime the of the request.
The current status of the response (e.g. COMPLETED)
Available options:
CANCELED, COMPLETE, PENDING, PROCESSING The link to the next page with exchange rates.
Show child attributes
Show child attributes
The datetime the of the request.
Last modified on March 31, 2026
Was this page helpful?
⌘I